<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <title></title>
</head>

<body id="id">
    <h1 id="h"></h1>

    <div class="renifer" id="renifer"><img src="renifer.png" alt="Renifer" width="300" height="300"></img>

    </div>

    <style>
        .renifer {
            position: fixed;
            top: 30%;
            left: 30%;
        }
    </style>
    <script>
        document.getElementById("renifer").style.top = Math.floor(Math.random() * 60) + "%";
        document.getElementById("renifer").style.left = Math.floor(Math.random() * 80) + "%";
        var wpisane = " ";
        document.addEventListener("keypress", klik);

        function klik(e) {
            var left2 = Math.floor(Math.random() * 100);
            var top2 = Math.floor(Math.random() * 100 + 10);
            var w = Math.floor(Math.random() * 100);
            var tab = ["mik_1.png", "mik_2.png", "mik_3.png", "mik_4.png", "mik_5.png"];
            var zdj = Math.floor(Math.random() * tab.length);

            console.log(wpisane);


            if (e.key == "`" || e.key == "Enter") {
                console.log("wyczyszczono wpisane ");
                wpisane = "";
            } else if (wpisane == "lol") {
                console.log("wpisano lol i wyczyszczono wpisane ");
                wpisane = "";

                const lolek = `<div class="renifer" id="renifer" style="left:${left2}%; top:${top2}%"><img src="lol.png" alt="Renifer" width="400" height="400" ></img>`;
                document.body.innerHTML += lolek;
            } else {
                wpisane += e.key;

            }
            document.getElementById("h").innerHTML = wpisane;

            i();





            const mikolaj = `<div class="renifer" id="renifer" style="left:${left2}%; top:${top2}%"><img src="${tab[zdj]}" alt="Renifer" width="${w}" height="${w *2}" ></img>`;
            document.body.innerHTML += mikolaj;

        }

        function i() {
            if (wpisane == "lol") {
                console.log("wpisano lol i wyczyszczono wpisane ");
                wpisane = "";

                const lolek = `<div><img src="lol.png" alt="Renifer" width="400" height="400" ></img>`;
                document.body.innerHTML += lolek;
            }
        }
    </script>

</body>

</html>